Bug 1845172 - [EPEL8] Update python-gitdb to 4.x in EPEL8
Summary: [EPEL8] Update python-gitdb to 4.x in EPEL8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-gitdb
Version: epel8
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1845274
Blocks: 1845140
TreeView+ depends on / blocked
 
Reported: 2020-06-08 15:09 UTC by Troy Dawson
Modified: 2020-06-16 01:51 UTC (History)
5 users (show)

Fixed In Version: python-gitdb-4.0.1-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-16 01:51:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Troy Dawson 2020-06-08 15:09:31 UTC
Description of problem:
GitPython was updated in EPEL8.
This new updated version needs python-gitdb >= 4.0.1
Please update python-gitdb to version 4+ in EPEL8

Version-Release number of selected component (if applicable):
python-gitdb-2.0.3-6.el8

How reproducible:
100%

Steps to Reproduce:
1. dnf install python3-GitPython
2.
3.

Actual results:
Error: 
 Problem: conflicting requests
  - nothing provides python3-gitdb >= 4.0.0 needed by python3-GitPython-3.1.0-1.el8.noarch
  - nothing provides python3.6dist(gitdb) >= 4.0.1 needed by python3-GitPython-3.1.0-1.el8.noarch
  - nothing provides python3.6dist(gitdb) < 5 needed by python3-GitPython-3.1.0-1.el8.noarch


Expected results:
python3-GitPython to install 

Additional info:
I checked, and the only thing depending on python-gitdb in EPEL8 is GitPython.  So updating it shouldn't affect any other packages.

Comment 1 Troy Dawson 2020-06-08 19:35:54 UTC
If you are busy, or want some help, I am a proven packager, and was part of the team that got this into EPEL8.
If you want, I could update this for you.

Comment 2 Lubomír Sedlář 2020-06-09 07:46:00 UTC
If you have time to work on this, it would be very appreciated. I'm quite busy these days.
Feel free to update the package as you see fit.

Comment 3 Troy Dawson 2020-06-09 13:33:23 UTC
OK, I'll take it.

Comment 4 Fedora Update System 2020-06-11 20:32:35 UTC
FEDORA-EPEL-2020-249572f639 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-249572f639

Comment 5 Fedora Update System 2020-06-14 17:35:37 UTC
python-gitdb-4.0.1-2.el8, python-smmap-3.0.1-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-249572f639

Comment 6 Fedora Update System 2020-06-16 01:51:22 UTC
python-gitdb-4.0.1-2.el8, python-smmap-3.0.1-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.